> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Whatsapp profile photo



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/whatsapp/management.yml get /whatsapp/phone_numbers/{phone_number}/profile/photo
openapi: 3.1.0
info:
  title: Telnyx WhatsApp Management API
  version: 2.0.0
  description: >
    API for managing WhatsApp Business Accounts (WABAs), phone numbers, and
    message templates.


    Use these endpoints to:

    - List and manage WhatsApp Business Accounts

    - Configure phone numbers for WhatsApp

    - Create and manage message templates

    - Set up webhook configurations
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /whatsapp/phone_numbers/{phone_number}/profile/photo:
    get:
      tags:
        - Whatsapp Phone Numbers
      summary: Get Whatsapp profile photo
      operationId: GetWhatsappProfilePhoto
      parameters:
        - $ref: '#/components/parameters/WhatsappPhoneNumber'
      responses:
        '200':
          description: Profile photo
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsappProfilePhotoResponse'
        4XX:
          $ref: '#/components/responses/messaging_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const photo = await
            client.whatsapp.phoneNumbers.profile.photo.retrieve('phone_number');


            console.log(photo.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            photo = client.whatsapp.phone_numbers.profile.photo.retrieve(
                "phone_number",
            )
            print(photo.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tphoto, err := client.Whatsapp.PhoneNumbers.Profile.Photo.Get(context.TODO(), \"phone_number\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", photo.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.whatsapp.phonenumbers.profile.photo.PhotoRetrieveParams;

            import
            com.telnyx.sdk.models.whatsapp.phonenumbers.profile.photo.PhotoRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    PhotoRetrieveResponse photo = client.whatsapp().phoneNumbers().profile().photo().retrieve("phone_number");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            photo =
            telnyx.whatsapp.phone_numbers.profile.photo.retrieve("phone_number")


            puts(photo)
        - lang: CLI
          source: |-
            telnyx whatsapp:phone-numbers:profile:photo retrieve \
              --api-key 'My API Key' \
              --phone-number phone_number
components:
  parameters:
    WhatsappPhoneNumber:
      name: phone_number
      in: path
      required: true
      schema:
        type: string
      description: Phone number (E.164 format)
  schemas:
    WhatsappProfilePhotoResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WhatsappProfilePhotoData'
    WhatsappProfilePhotoData:
      type: object
      properties:
        record_type:
          type: string
          example: whatsapp_phone_number_profile_photos
        phone_number_id:
          type: string
          description: Meta phone number ID
        profile_photo_url:
          type: string
          description: >-
            URL of the business profile photo (served by Meta's CDN). May be
            empty if no photo is set.
    messaging_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/messaging_Error'
    messaging_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  responses:
    messaging_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/messaging_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````